Pycharm解释器指向anaconda的python怎么装package 5C

想简单的描述一个复杂的问题真的不容易。
我装了anaconda,又装了pycharm。
给pycharm的一个project的解释器,指向了一个 conda enviroment。
那么,这个工程里,我想添加一些package,要怎么操作呢?
在pycharm里,+ 号 是不起作用了。
那要怎么办?
图片说明

图片说明

我也试过就不用虚拟环境,就直接用anaconda 的python.exe,可是,一样的。是不能在pycharm里添加package 的。这个,就只 能在命令行添加么?
可是,我添加过的package, 在site-package 路径下也有了,但是在pycharm里,仍然是显示未知的模块(no module named) 又是什么原因呢?
我再网上找了几天了,似乎都没有人遇到过同样的问题。
也没有人描述下,如果pycharm里工程的解释器是指向了anaconda的python,要怎么在pycharm里添加package。
求帮~~ 英语水平烂,也不知道怎么发到外面去求助。希望我的混乱不清的描述,能说明我的麻烦。
拜托了各位大神。

1个回答

打开命令行(管理员模式),conda -install 包的名字

qq_30748541
snk_ben 我也用这种方法安装过了一个包,而且那个包也在sit-packages 路径下了,但是pycharm 就是认不出来。
接近 2 年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
pycharm无法创建解释器

![图片说明](https://img-ask.csdn.net/upload/201905/03/1556884572_588302.png) 求问,我安装的anaconda3和anaconda2,按照网上anaconda2和3兼容的教程安装的,让anaconda2作为单独的环境,然后用pycharm作为IDE,在pycharm里面插入解释器的时候,用anaconda2的python没问题,但是用anaconda3的python的时候就出现了上面图片的问题了,提示错误如下: ``` FileNotFoundError: [Errno 2] No such file or directory: 'D:\\anaconda3\\lib\\venv\\scripts\\nt\\python.exe' ``` 提示我这个目录下没有python.exe,这是咋回事?我以前用的时候直接插入解释器就行了,pycharm不是会自动创建虚拟环境吗?迷茫,求大佬帮忙

pycharm anaconda包一直loading

![图片说明](https://img-ask.csdn.net/upload/201905/30/1559200798_357340.png) 虽说包都能可是显示不出来还是很难受

PyCharm中Python导入包问题

![Python导入包](https://img-ask.csdn.net/upload/201709/04/1504527716_446112.png)

Anaconda+TensorFlow安装(Windows)以及嵌入pycharm不成功。求解答

在Anaconda安装TensorFlow不知道哪里的问题总是不成功,跪求大神指点! pycharm中设置中找到的python.exe也没有图标 ![图片说明](https://img-ask.csdn.net/upload/202004/01/1585754864_556607.png) 这个是anaconda里的 ``` (tensorflow) C:\Users\XXX>conda info --envs # conda environments: # base D:\ProgramData\Anaconda3 tensorflow * D:\ProgramData\Anaconda3\envs\tensorflow (tensorflow) C:\Users\XXX>python --version Python 3.7.7 ``` 安装完tensorflow之后执行python后输入import tensorflow as ty卡在这里了 ``` (tensorflow) C:\Users\XXX>python Python 3.7.7 (default, Mar 23 2020, 23:19:08) [MSC v.1916 64 bit (AMD64)] :: Anaconda, Inc. on win32 Type "help", "copyright", "credits" or "license" for more information. >>> import tensorflow as tf Traceback (most recent call last): File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<stdin>", line 1, in <module> File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow\__init__.py", line 101, in <module> from tensorflow_core import * File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module> from tensorflow.python.tools import module_util as _module_util File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__ module = self._load() File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow\__init__.py", line 44, in _load module = _importlib.import_module(self.__name__) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\importlib\__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "D:\ProgramData\Anaconda3\envs\tensorflow\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help. ``` pycharm中设置中找到的python也没有图标 ![图片说明](https://img-ask.csdn.net/upload/202004/01/1585754864_556607.png)

Anaconda3+python3.7 +TensorFlow 2.1,安装成功,但是在IDLE和pycharm中引入出现如下错误,请问如何才能解决?

Traceback (most recent call last): File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\Anaconda\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\Anaconda\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 During handling of the above exception, another exception occurred: Traceback (most recent call last): File "<pyshell#0>", line 1, in <module> import tensorflow File "F:\Anaconda\lib\site-packages\tensorflow\__init__.py", line 101, in <module> from tensorflow_core import * File "F:\Anaconda\lib\site-packages\tensorflow_core\__init__.py", line 40, in <module> from tensorflow.python.tools import module_util as _module_util File "F:\Anaconda\lib\site-packages\tensorflow\__init__.py", line 50, in __getattr__ module = self._load() File "F:\Anaconda\lib\site-packages\tensorflow\__init__.py", line 44, in _load module = _importlib.import_module(self.__name__) File "F:\Anaconda\lib\importlib\__init__.py", line 127, in import_module return _bootstrap._gcd_import(name[level:], package, level) File "F:\Anaconda\lib\site-packages\tensorflow_core\python\__init__.py", line 49, in <module> from tensorflow.python import pywrap_tensorflow File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 74, in <module> raise ImportError(msg) ImportError: Traceback (most recent call last): File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow.py", line 58, in <module> from tensorflow.python.pywrap_tensorflow_internal import * File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 28, in <module> _pywrap_tensorflow_internal = swig_import_helper() File "F:\Anaconda\lib\site-packages\tensorflow_core\python\pywrap_tensorflow_internal.py", line 24, in swig_import_helper _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description) File "F:\Anaconda\lib\imp.py", line 242, in load_module return load_dynamic(name, filename, file) File "F:\Anaconda\lib\imp.py", line 342, in load_dynamic return _load(spec) ImportError: DLL load failed: 找不到指定的模块。 Failed to load the native TensorFlow runtime. See https://www.tensorflow.org/install/errors for some common reasons and solutions. Include the entire stack trace above this error message when asking for help.

anaconda 安装pytorch成功,PyCharm使用anaconda环境时在import torch这个地方报错

**我用anaconda成功安装pytorch,,测试结果如下:** ![图片说明](https://img-ask.csdn.net/upload/201907/31/1564571781_433161.jpg) **然后我配置PyCharm使用anaconda已经成功安装pytorh了的环境,如下图:** ![图片说明](https://img-ask.csdn.net/upload/201907/31/1564572015_840592.jpg) **都没问题,但是我测试的时候却出错了:** ![图片说明](https://img-ask.csdn.net/upload/201907/31/1564572102_460453.jpg) ![图片说明](https://img-ask.csdn.net/upload/201907/31/1564572161_739375.jpg) **我试过添加环境变量,把...torch/lib(_C.lib就在这里面)添加到PATH不行,sys,path.apend()也不行,仍然报同样的错。。。** 请问怎么解决?

project interpreter如何选择安装目录下的解释器

# 用project interpreter安装第三方库失败 ![图片说明](https://img-ask.csdn.net/upload/202004/27/1587961237_89457.png) # 查询到需要使用python安装目录下的项目解释器 [关于pip安装第三方库,但PyCharm中却无法识别的问题;以及PyCharm安装第三方库的方法解析](https://blog.csdn.net/weixin_41287260/article/details/83957731#%E4%B8%80%E3%80%81%E9%97%AE%E9%A2%98%E5%85%B7%E4%BD%93%E6%8F%8F%E8%BF%B0%EF%BC%9A "") ![图片说明](https://img-blog.csdnimg.cn/20190702110501158.png?x-oss-process=image/watermark,type_ZmFuZ3poZW5naGVpdGk,shadow_10,text_aHR0cHM6Ly9ibG9nLmNzZG4ubmV0L3dlaXhpbl80MTI4NzI2MA==,size_16,color_FFFFFF,t_70) # 但是我的project interpreter没有显示安装目录下的解释器,只有新建项目目录的解释器 ![图片说明](https://img-ask.csdn.net/upload/202004/27/1587962043_58212.png) # 安装目录在C盘 ![图片说明](https://img-ask.csdn.net/upload/202004/27/1587962095_203144.png) # 请问该如何选择安装目录的解释器?

pycharm安装pygame报错

![图片说明](https://img-ask.csdn.net/upload/202002/04/1580790290_467036.png) 这是怎么回事

python unittest执行程序在pycharm可以成功运行但使用cmd会报错

如题,在pycharm中执行主程序运行成功: 已连接主机 登录成功 正在发送...... 邮件发送完成~ Process finished with exit code 0 在cmd执行主程序报错: Traceback (most recent call last): File"all_test.py",line 32,in<module> alltestnames = creatsuite() File"all_test.py",line 27,in creatsuite testunit.addTests(test_case) File "C:\Python37\lib\unittest\suite.py",line57,in addTests for test in tests: TypeError:'_FailedTest'object is not iterable 报错的程序代码是这部分: def creatsuite(): testunit = unittest.TestSuite() test_dir = test_suite_dir package_tests = unittest.defaultTestLoader.discover(test_dir, pattern='*.py', top_level_dir=None) for test_suite in package_tests: for test_case in test_suite: testunit.addTests(test_case) print(testunit) return testunit 刚接触接口测试,请问是哪里出了问题呢?因为正在jenkins构建项目执行,把源码放在github后使用windows批处理命令执行,这样进程是停滞的,也结束不了。

请教:用pycharm安装包时出现这个错误,不知道怎么回事呢

![![图片说明](https://img-ask.csdn.net/upload/201611/21/1479731428_41759.png)图片说明](https://img-ask.csdn.net/upload/201611/21/1479731428_41759.png) 最近刚开始学python,在这个问题上很纠结,请大神帮忙看看怎么解决

conda list里面已经安装了seaborn,但是pycharm里面无法使用,求助怎么解决

pycharm使用的编译器是Anaconda2,版本3.6;conda list现实已经安装了seaborn;但是在pycharm里面无法使用seaborn,附图,怎么解决?求大佬指点![图片说明](https://img-ask.csdn.net/upload/202002/21/1582214736_489795.png)

用Anaconda Prompt安装pytroch时报错“此时不应有\Microsoft”

![图片说明](https://img-ask.csdn.net/upload/201903/03/1551588944_513905.png) 只要在Anaconda Prompt中输入conda命令,就会这样报错。 大神求救!

请问如何安装playML 模块

本人新手小白。在用jupyter notebook 过程中有个地方一直报错 ``` ModuleNotFoundError Traceback (most recent call last) <ipython-input-39-7f0fae34075f> in <module> ----> 1 from playML.model_selection import train_test_split ModuleNotFoundError: No module named 'playML' ``` 不知道如何解决,希望大神帮忙,谢谢!

anaconda prompt中使用conda命令安装模块时出现错误。

之前在C盘安装过一次anaconda3,将其卸载了以后又在D盘(直接安装在D盘中)安装了新版本的anaconda。在anaconda prompt中,conda --version,conda list等命令都可以正常使用,但是无法利用conda命令安装模块。我的使用方法是先在anaconda prompt中切换到指定的环境,然后在执行conda的相关命令。当我使用conda update --all,conda install cartopy shapely等安装和更新模块的命令时就会出现错误,执行的命令和错误如下所示: ``` (env-traffic01) C:\Users\Administrator>conda install cartopy shapely Collecting package metadata (current_repodata.json): done Solving environment: done ``` ``` # >>>>>>>>>>>>>>>>>>>>>> ERROR REPORT <<<<<<<<<<<<<<<<<<<<<< Traceback (most recent call last): File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 301, in _make_single_record repodata_record = read_repodata_json(extracted_package_dir) File "D:\anaconda3\lib\site-packages\conda\gateways\disk\read.py", line 13 0, in read_repodata_json with open(join(extracted_package_directory, 'info', 'repodata_record.jso n')) as fi: File "D:\anaconda3\lib\site-packages\conda\common\compat.py", line 178, in open closefd=closefd) FileNotFoundError: [Errno 2] No such file or directory: 'D:\\anaconda3\\pkgs \\conda-4.8.3-py37_0\\info\\repodata_record.json' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 318, in _make_single_record raw_json_record = read_index_json(extracted_package_dir) File "D:\anaconda3\lib\site-packages\conda\gateways\disk\read.py", line 11 6, in read_index_json with open(join(extracted_package_directory, 'info', 'index.json')) as fi : File "D:\anaconda3\lib\site-packages\conda\common\compat.py", line 178, in open closefd=closefd) FileNotFoundError: [Errno 2] No such file or directory: 'D:\\anaconda3\\pkgs \\conda-4.8.3-py37_0\\info\\index.json' During handling of the above exception, another exception occurred: Traceback (most recent call last): File "D:\anaconda3\lib\site-packages\conda\exceptions.py", line 1079, in _ _call__ return func(*args, **kwargs) File "D:\anaconda3\lib\site-packages\conda\cli\main.py", line 84, in _main exit_code = do_call(args, p) File "D:\anaconda3\lib\site-packages\conda\cli\conda_argparse.py", line 82 , in do_call return getattr(module, func_name)(args, parser) File "D:\anaconda3\lib\site-packages\conda\cli\main_install.py", line 20, in execute install(args, parser, 'install') File "D:\anaconda3\lib\site-packages\conda\cli\install.py", line 317, in i nstall handle_txn(unlink_link_transaction, prefix, args, newenv) File "D:\anaconda3\lib\site-packages\conda\cli\install.py", line 333, in h andle_txn unlink_link_transaction.print_transaction_summary() File "D:\anaconda3\lib\site-packages\conda\core\link.py", line 917, in pri nt_transaction_summary legacy_action_groups = self._make_legacy_action_groups() File "D:\anaconda3\lib\site-packages\conda\core\link.py", line 901, in _ma ke_legacy_action_groups self._pfe.prepare() File "D:\anaconda3\lib\site-packages\conda\common\io.py", line 88, in deco rated return f(*args, **kwds) File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 612, in prepare for prec in self.link_precs) File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 612, in <genexpr> for prec in self.link_precs) File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 503, in make_actions_for_record ), None) File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 500, in <genexpr> pcrec for pcrec in concat(PackageCacheData(pkgs_dir).query(pref_or_spec) File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 501, in <genexpr> for pkgs_dir in context.pkgs_dirs) File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 130, in query return (pcrec for pcrec in itervalues(self._package_cache_records) if pc rec == param) File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 244, in _package_cache_records self.load() File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 96, in load package_cache_record = self._make_single_record(base_name) File "D:\anaconda3\lib\site-packages\conda\core\package_cache_data.py", li ne 340, in _make_single_record extract_tarball(package_tarball_full_path, extracted_package_dir) File "D:\anaconda3\lib\site-packages\conda\gateways\disk\create.py", line 219, in extract_tarball conda_package_handling.api.extract(tarball_full_path, dest_dir=destinati on_directory) File "D:\anaconda3\lib\site-packages\conda_package_handling\api.py", line 58, in extract SUPPORTED_EXTENSIONS[ext].extract(fn, dest_dir, components=components) File "D:\anaconda3\lib\site-packages\conda_package_handling\conda_fmt.py", line 59, in extract _extract_component(fn, file_id, component, dest_dir) File "D:\anaconda3\lib\site-packages\conda_package_handling\conda_fmt.py", line 38, in _extract_component .format(component_name, fn)) RuntimeError: didn't find info component in D:\anaconda3\pkgs\conda-4.8.3-py 37_0.conda `$ D:\anaconda3\Scripts\conda-script.py install cartopy shapely` environment variables: CIO_TEST=<not set> CONDA_DEFAULT_ENV=env-traffic01 CONDA_EXE=D:\anaconda3\condabin\..\Scripts\conda.exe CONDA_EXES="D:\anaconda3\condabin\..\Scripts\conda.exe" CONDA_PREFIX=D:\anaconda3\envs\env-traffic01 CONDA_PREFIX_1=D:\anaconda3 CONDA_PROMPT_MODIFIER=(env-traffic01) CONDA_PYTHON_EXE=D:\anaconda3\python.exe CONDA_ROOT=D:\anaconda3 CONDA_SHLVL=2 HOMEPATH=\Users\Administrator PATH=D:\anaconda3;D:\anaconda3\Library\mingw-w64\bin;D:\ana conda3\Library\u sr\bin;D:\anaconda3\Library\bin;D:\anaconda3\Scripts;D :\anaconda3\bin; D:\anaconda3\envs\env-traffic01;D:\anaconda3\envs\env- traffic01\Library\mingw-w64\bin;D:\anaconda3\envs\env- traffic01\Library\usr\bin;D:\anaconda3\envs\env- traffic01\Library\bin;D:\anaconda3\envs\env- traffic01\Scripts;D:\anaconda3\envs\env-traffic01\bin; D:\anaconda3\con dabin;C:\Windows\system32;C:\Windows;C:\Windows\System 32\Wbem;C:\Windo ws\System32\WindowsPowerShell\v1.0;D:\python閻╃鍙ф 潪顖欐\MySQL\mysql-5.7. 26-winx64\bin;D:\python閻╃鍙ф潪顖欐\mysql workben ch;C:\Program Files (x86 )\PuTTY;C:\Windows\System32;D:\anaconda3;D:\anaconda3\ Scripts;D:\anaco nda3\Library\bin;D:\anaconda3\Library\mingw-w64\bin;D: \python閻╃鍙ф潪顖欐 \PyCharm Community Edition 2019.1.1\bin;.;. PSMODULEPATH=C:\Windows\system32\WindowsPowerShell\v1.0\Modules\ REQUESTS_CA_BUNDLE=<not set> SSL_CERT_FILE=<not set> active environment : env-traffic01 active env location : D:\anaconda3\envs\env-traffic01 shell level : 2 user config file : C:\Users\Administrator\.condarc populated config files : C:\Users\Administrator\.condarc conda version : 4.8.2 conda-build version : 3.18.11 python version : 3.7.6.final.0 virtual packages : base environment : D:\anaconda3 (writable) channel URLs : http://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/free /win-64 http://mirrors.tuna.tsinghua.edu.cn/anaconda/pkgs/free /noarch http://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/con da-forge/win-64 http://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/con da-forge/noarch http://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/msy s2/win-64 http://mirrors.tuna.tsinghua.edu.cn/anaconda/cloud/msy s2/noarch package cache : D:\anaconda3\pkgs C:\Users\Administrator\.conda\pkgs C:\Users\Administrator\AppData\Local\conda\conda\pkgs envs directories : D:\anaconda3\envs C:\Users\Administrator\.conda\envs C:\Users\Administrator\AppData\Local\conda\conda\envs platform : win-64 user-agent : conda/4.8.2 requests/2.22.0 CPython/3.7.6 Windows/7 Wi ndows/6.1.7601 administrator : True netrc file : None offline mode : False An unexpected error has occurred. Conda has prepared the above report. If submitted, this report will be used by core maintainers to improve future releases of conda. Would you like conda to send this report to the core maintainers? [y/N]: ``` 在网上查阅了相关资料,.condarc文件中的内容也按照要求更改了,但无法解决问题。 该如何解决上述问题哪,非常感谢大家的解答!

pycharm使用时,出现模块调用失败,怎么解决?

Traceback (most recent call last): File "C:/Temp/lassos/first.py", line 4, in <module> from sklearn.preprocessing import Imputer File "C:\Users\Dell\Anaconda3\lib\site-packages\sklearn\__init__.py", line 134, in <module> from .base import clone File "C:\Users\Dell\Anaconda3\lib\site-packages\sklearn\base.py", line 13, in <module> from .utils.fixes import signature File "C:\Users\Dell\Anaconda3\lib\site-packages\sklearn\utils\__init__.py", line 10, in <module> from .validation import (as_float_array, File "C:\Users\Dell\Anaconda3\lib\site-packages\sklearn\utils\validation.py", line 18, in <module> from ..utils.fixes import signature File "C:\Users\Dell\Anaconda3\lib\site-packages\sklearn\utils\fixes.py", line 144, in <module> from scipy.sparse.linalg import lsqr as sparse_lsqr # noqa File "C:\Users\Dell\Anaconda3\lib\site-packages\scipy\sparse\linalg\__init__.py", line 114, in <module> from .isolve import * File "C:\Users\Dell\Anaconda3\lib\site-packages\scipy\sparse\linalg\isolve\__init__.py", line 8, in <module> from .lgmres import lgmres File "C:\Users\Dell\Anaconda3\lib\site-packages\scipy\sparse\linalg\isolve\lgmres.py", line 10, in <module> from scipy.linalg import get_blas_funcs, get_lapack_funcs File "C:\Users\Dell\Anaconda3\lib\site-packages\scipy\linalg\__init__.py", line 190, in <module> from .misc import * File "C:\Users\Dell\Anaconda3\lib\site-packages\scipy\linalg\misc.py", line 5, in <module> from .blas import get_blas_funcs File "C:\Users\Dell\Anaconda3\lib\site-packages\scipy\linalg\blas.py", line 214, in <module> from scipy.linalg import _fblas ImportError: DLL load failed: The specified module could not be found.

python pretty table如何安装以及导入

python pretty table如何安装以及导入,文件已经下载,不知道如何安装以及导入,萌新求大佬帮助

python2 操作uiautomator2 init时提示runpy.py中的mod_name错误,求大神相助

前提条件: 电脑是win10,安装了python2.7和python3,并做了区分,cmd命令行输入Pthon2时,运行的是python2.7,输入python3时运行的是python3,均可以正常查看版本运行 步骤: pip2 install --pre -U uiautomator2 可以安装成功 运行python2 -m uiautomator2 init 报错,报错内容如下: Traceback (most recent call last): File "D:\tool\python2\lib\runpy.py", line 163, in _run_module_as_main mod_name, _Error) File "D:\tool\python2\lib\runpy.py", line 111, in _get_module_details __import__(mod_name) # Do not catch exceptions initializing package File "D:\tool\python2\lib\site-packages\uiautomator2\__init__.py", line 546 def running(self) -> bool: ^ SyntaxError: invalid syntax 不知道是哪里的原因,单独用pycharm运行runpy.py不会报错(Python2.7) 备注:电脑上安装了Android studio,可以正常运行, 求大神指点一二

在安装opencv-contrib-python出现这种情况,是什么原因,该怎么解决?

![图片说明](https://img-ask.csdn.net/upload/202005/26/1590499683_330948.png)

python3.5错误'module' object is not callable

(1) import urllib.request from cons import headers def getUrlList(): req=urllib.request('https://mm.taobao.com/tstar/search/tstar_model.do?_input_charset=utf-8') req.add_header('user-agent',headers()) # print (headers()) html=urllib.urlopen(req, data='q&viewFlag=A&sortType=default&searchStyle=&searchRegion=city%3A&searchFansNum=&currentPage=1&pageSize=100').read() print (html) getUrlList() (2) import random headerstr='''Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/62.0.3202.62 Safari/537.36 Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_6_8; en-us) AppleWebKit/534.50 (KHTML, like Gecko) Version/5.1 Safari/534.50 Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.0; Trident/4.0)''' def headers(): header=headerstr.split('\n') length=len(header) return header[random.randint(0,length-1)] 运行(1) 产生错误如下: D:\programmingtools\anaconda\python.exe D:/programmingtools/pycharmpro/files/201711112013/taobeauty.py Traceback (most recent call last): File "D:/programmingtools/pycharmpro/files/201711112013/taobeauty.py", line 13, in <module> getUrlList() File "D:/programmingtools/pycharmpro/files/201711112013/taobeauty.py", line 6, in getUrlList req=urllib.request('https://mm.taobao.com/tstar/search/tstar_model.do?_input_charset=utf-8') TypeError: 'module' object is not callable Process finished with exit code 1

C/C++学习指南全套教程

C/C++学习的全套教程,从基本语法,基本原理,到界面开发、网络开发、Linux开发、安全算法,应用尽用。由毕业于清华大学的业内人士执课,为C/C++编程爱好者的教程。

定量遥感中文版 梁顺林著 范闻捷译

这是梁顺林的定量遥感的中文版,由范闻捷等翻译的,是电子版PDF,解决了大家看英文费时费事的问题,希望大家下载看看,一定会有帮助的

YOLOv3目标检测实战:训练自己的数据集

YOLOv3是一种基于深度学习的端到端实时目标检测方法,以速度快见长。本课程将手把手地教大家使用labelImg标注和使用YOLOv3训练自己的数据集。课程分为三个小项目:足球目标检测(单目标检测)、梅西目标检测(单目标检测)、足球和梅西同时目标检测(两目标检测)。 本课程的YOLOv3使用Darknet,在Ubuntu系统上做项目演示。包括:安装Darknet、给自己的数据集打标签、整理自己的数据集、修改配置文件、训练自己的数据集、测试训练出的网络模型、性能统计(mAP计算和画出PR曲线)和先验框聚类。 Darknet是使用C语言实现的轻型开源深度学习框架,依赖少,可移植性好,值得深入探究。 除本课程《YOLOv3目标检测实战:训练自己的数据集》外,本人推出了有关YOLOv3目标检测的系列课程,请持续关注该系列的其它课程视频,包括: 《YOLOv3目标检测实战:交通标志识别》 《YOLOv3目标检测:原理与源码解析》 《YOLOv3目标检测:网络模型改进方法》 敬请关注并选择学习!

sql语句 异常 Err] 1064 - You have an error in your SQL syntax; check the manual that corresponds to your

在我们开发的工程中,有时候会报 [Err] 1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near ------ 这种异常 不用多想,肯定是我们的sql语句出现问题,下面...

浪潮集团 往年的软件类 笔试题 比较详细的哦

浪潮集团 往年的软件类 笔试题 比较详细的哦

2019 AI开发者大会

2019 AI开发者大会(AI ProCon 2019)是由中国IT社区CSDN主办的AI技术与产业年度盛会。多年经验淬炼,如今蓄势待发:2019年9月6-7日,大会将有近百位中美顶尖AI专家、知名企业代表以及千余名AI开发者齐聚北京,进行技术解读和产业论证。我们不空谈口号,只谈技术,诚挚邀请AI业内人士一起共铸人工智能新篇章!

I2c串口通信实现加速度传感器和FPGA的交流

此代码能实现加速度传感器与FPGA之间的交流,从而测出运动物体的加速度。

Python可以这样学(第一季:Python内功修炼)

董付国系列教材《Python程序设计基础》、《Python程序设计(第2版)》、《Python可以这样学》配套视频,讲解Python 3.5.x和3.6.x语法、内置对象用法、选择与循环以及函数设计与使用、lambda表达式用法、字符串与正则表达式应用、面向对象编程、文本文件与二进制文件操作、目录操作与系统运维、异常处理结构。

微信公众平台开发入门

本套课程的设计完全是为初学者量身打造,课程内容由浅入深,课程讲解通俗易懂,代码实现简洁清晰。通过本课程的学习,学员能够入门微信公众平台开发,能够胜任企业级的订阅号、服务号、企业号的应用开发工作。 通过本课程的学习,学员能够对微信公众平台有一个清晰的、系统性的认识。例如,公众号是什么,它有什么特点,它能做什么,怎么开发公众号。 其次,通过本课程的学习,学员能够掌握微信公众平台开发的方法、技术和应用实现。例如,开发者文档怎么看,开发环境怎么搭建,基本的消息交互如何实现,常用的方法技巧有哪些,真实应用怎么开发。

机器学习初学者必会的案例精讲

通过六个实际的编码项目,带领同学入门人工智能。这些项目涉及机器学习(回归,分类,聚类),深度学习(神经网络),底层数学算法,Weka数据挖掘,利用Git开源项目实战等。

eclipseme 1.7.9

eclipse 出了新的eclipseme插件,官方有下载,但特慢,我都下了大半天(可能自己网速差)。有急需要的朋友可以下哦。。。

Spring Boot -01- 快速入门篇(图文教程)

Spring Boot -01- 快速入门篇 今天开始不断整理 Spring Boot 2.0 版本学习笔记,大家可以在博客看到我的笔记,然后大家想看视频课程也可以到【慕课网】手机 app,去找【Spring Boot 2.0 深度实践】的课程,令人开心的是,课程完全免费! 什么是 Spring Boot? Spring Boot 是由 Pivotal 团队提供的全新框架。Spring Boot...

HoloLens2开发入门教程

本课程为HoloLens2开发入门教程,讲解部署开发环境,安装VS2019,Unity版本,Windows SDK,创建Unity项目,讲解如何使用MRTK,编辑器模拟手势交互,打包VS工程并编译部署应用到HoloLens上等。

最简单的倍频verilog程序(Quartus II)

一个工程文件 几段简单的代码 一个输入一个输出(50Mhz倍频到100Mhz)

计算机组成原理实验教程

西北工业大学计算机组成原理实验课唐都仪器实验帮助,同实验指导书。分为运算器,存储器,控制器,模型计算机,输入输出系统5个章节

4小时玩转微信小程序——基础入门与微信支付实战

这是一个门针对零基础学员学习微信小程序开发的视频教学课程。课程采用腾讯官方文档作为教程的唯一技术资料来源。杜绝网络上质量良莠不齐的资料给学员学习带来的障碍。 视频课程按照开发工具的下载、安装、使用、程序结构、视图层、逻辑层、微信小程序等几个部分组织课程,详细讲解整个小程序的开发过程

面试了一个 31 岁程序员,让我有所触动,30岁以上的程序员该何去何从?

最近面试了一个31岁8年经验的程序猿,让我有点感慨,大龄程序猿该何去何从。

基于RSA通信密钥分发的加密通信

基于RSA通信密钥分发的加密通信,采用pycrypto中的RSA、AES模块实现

不同变质程度煤尘爆炸残留气体特征研究

为分析不同变质程度煤尘爆炸残留气体成分的特征规律,利用水平管道煤尘爆炸实验装置进行了贫瘦煤、肥煤、气煤、长焰煤4种不同变质程度的煤尘爆炸实验,研究了不同变质程度煤尘爆炸后气体残留物含量的差异,并对气体

设计模式(JAVA语言实现)--20种设计模式附带源码

课程亮点: 课程培训详细的笔记以及实例代码,让学员开始掌握设计模式知识点 课程内容: 工厂模式、桥接模式、组合模式、装饰器模式、外观模式、享元模式、原型模型、代理模式、单例模式、适配器模式 策略模式、模板方法模式、观察者模式、迭代器模式、责任链模式、命令模式、备忘录模式、状态模式、访问者模式 课程特色: 笔记设计模式,用笔记串连所有知识点,让学员从一点一滴积累,学习过程无压力 笔记标题采用关键字标识法,帮助学员更加容易记住知识点 笔记以超链接形式让知识点关联起来,形式知识体系 采用先概念后实例再应用方式,知识点深入浅出 提供授课内容笔记作为课后复习以及工作备查工具 部分图表(电脑PC端查看):

MySQL数据库面试题(2020最新版)

文章目录数据库基础知识为什么要使用数据库什么是SQL?什么是MySQL?数据库三大范式是什么mysql有关权限的表都有哪几个MySQL的binlog有有几种录入格式?分别有什么区别?数据类型mysql有哪些数据类型引擎MySQL存储引擎MyISAM与InnoDB区别MyISAM索引与InnoDB索引的区别?InnoDB引擎的4大特性存储引擎选择索引什么是索引?索引有哪些优缺点?索引使用场景(重点)...

软件测试2小时入门

本课程内容系统、全面、简洁、通俗易懂,通过2个多小时的介绍,让大家对软件测试有个系统的理解和认识,具备基本的软件测试理论基础。 主要内容分为5个部分: 1 软件测试概述,了解测试是什么、测试的对象、原则、流程、方法、模型;&nbsp; 2.常用的黑盒测试用例设计方法及示例演示;&nbsp; 3 常用白盒测试用例设计方法及示例演示;&nbsp; 4.自动化测试优缺点、使用范围及示例‘;&nbsp; 5.测试经验谈。

几率大的Redis面试题(含答案)

本文的面试题如下: Redis 持久化机制 缓存雪崩、缓存穿透、缓存预热、缓存更新、缓存降级等问题 热点数据和冷数据是什么 Memcache与Redis的区别都有哪些? 单线程的redis为什么这么快 redis的数据类型,以及每种数据类型的使用场景,Redis 内部结构 redis的过期策略以及内存淘汰机制【~】 Redis 为什么是单线程的,优点 如何解决redis的并发竞争key问题 Red...

手把手实现Java图书管理系统(附源码)

【超实用课程内容】 本课程演示的是一套基于Java的SSM框架实现的图书管理系统,主要针对计算机相关专业的正在做毕设的学生与需要项目实战练习的java人群。详细介绍了图书管理系统的实现,包括:环境搭建、系统业务、技术实现、项目运行、功能演示、系统扩展等,以通俗易懂的方式,手把手的带你从零开始运行本套图书管理系统,该项目附带全部源码可作为毕设使用。 【课程如何观看?】 PC端:https://edu.csdn.net/course/detail/27513 移动端:CSDN 学院APP(注意不是CSDN APP哦) 本课程为录播课,课程2年有效观看时长,大家可以抓紧时间学习后一起讨论哦~ 【学员专享增值服务】 源码开放 课件、课程案例代码完全开放给你,你可以根据所学知识,自行修改、优化

jsp+servlet入门项目实例

jsp+servlet实现班级信息管理项目

winfrom中嵌套html,跟html的交互

winfrom中嵌套html,跟html的交互,源码就在里面一看就懂,很简单

Java面试题大全(2020版)

发现网上很多Java面试题都没有答案,所以花了很长时间搜集整理出来了这套Java面试题大全,希望对大家有帮助哈~ 本套Java面试题大全,全的不能再全,哈哈~ 一、Java 基础 1. JDK 和 JRE 有什么区别? JDK:Java Development Kit 的简称,java 开发工具包,提供了 java 的开发环境和运行环境。 JRE:Java Runtime Environ...

python实现数字水印添加与提取及鲁棒性测试(GUI,基于DCT,含测试图片)

由python写的GUI,可以实现数字水印的添加与提取,提取是根据添加系数的相关性,实现了盲提取。含有两种攻击测试方法(高斯低通滤波、高斯白噪声)。基于python2.7,watermark.py为主

Xshell6完美破解版,亲测可用

Xshell6破解版,亲测可用,分享给大家。直接解压即可使用

你连存活到JDK8中著名的Bug都不知道,我怎么敢给你加薪

CopyOnWriteArrayList.java和ArrayList.java,这2个类的构造函数,注释中有一句话 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 public ArrayList(Collection&lt;? ...

相关热词 c# dbml文件 修改 c#遍历tree c# 能够控制单片机 c#对象写入数据库 c# 添加activex c#2005 json c# 数据库在云端 c# 字符串移位加密 c#禁用滚轮 c#实体类list去重复
立即提问